commit:     b62d0062b93393d93d1e4b529268da30ef441c84
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 21 18:04:12 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 18:04:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b62d0062

app-emulation/docker-compose: Version bump to 1.14.0

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 app-emulation/docker-compose/Manifest              |  1 +
 .../docker-compose/docker-compose-1.14.0.ebuild    | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/app-emulation/docker-compose/Manifest 
b/app-emulation/docker-compose/Manifest
index a87e3483aa9..fe23c8cdb11 100644
--- a/app-emulation/docker-compose/Manifest
+++ b/app-emulation/docker-compose/Manifest
@@ -1 +1,2 @@
 DIST docker-compose-1.13.0.tar.gz 201429 SHA256 
3c7b62cd0ab5f33d21db197d8a74739d320a6fe32e4ef8282c35d4dee5a7c77c SHA512 
a435cd1634a66924e04b89ca8b3481bb0e4288b03a2e9acc50d01b56a40996e0d51a2d856da8ef6a6e784617b4cda85f7966c372e256dc8b7b0ab0f0ebf60a20
 WHIRLPOOL 
1e6652f97c55705a0e97f6a16f95a2659ef6ef5f53cc85bb6f8a416d711dca21eb3882912d528afbc68f1fb1d6f8d824273352e86b21e2168f9af812790bcbfc
+DIST docker-compose-1.14.0.tar.gz 205658 SHA256 
5649124df5f11b66298e54e6abde0e6991cafa33bc8d69ad037736bf4e276c79 SHA512 
d9216744b70155044d5eeffc5a29c4341a217b46af8904ee4ac11c6c766e0233225f5d65ee8f1bed6979cf2443df10f1b8ebca09a1e092aa0e07ec8afed52c77
 WHIRLPOOL 
83aa666f229cf8fae3c163dc1f9840cc7d6273459819f8a68c1daf989d2354795075edfa171945ab5aaf5ecdf400f7104e9e650c073d08ac7d51d47521d876fe

diff --git a/app-emulation/docker-compose/docker-compose-1.14.0.ebuild 
b/app-emulation/docker-compose/docker-compose-1.14.0.ebuild
new file mode 100644
index 00000000000..265927470cc
--- /dev/null
+++ b/app-emulation/docker-compose/docker-compose-1.14.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit bash-completion-r1 distutils-r1 vcs-snapshot
+
+MY_PV=${PV//_/}
+
+DESCRIPTION="Multi-container orchestration for Docker"
+HOMEPAGE="https://www.docker.com/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+CDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
+       <dev-python/cached-property-2[${PYTHON_USEDEP}]
+       >=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
+       <dev-python/colorama-0.4[${PYTHON_USEDEP}]
+       >=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
+       <dev-python/dockerpty-0.5[${PYTHON_USEDEP}]
+       >=dev-python/docker-py-2.3.0[${PYTHON_USEDEP}]
+       <dev-python/docker-py-3.0[${PYTHON_USEDEP}]
+       >=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
+       <dev-python/docopt-0.7[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-3[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+       <dev-python/pyyaml-4[${PYTHON_USEDEP}]
+       !~dev-python/requests-2.11.0[${PYTHON_USEDEP}]
+       <dev-python/requests-2.12[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.6.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.3.0[${PYTHON_USEDEP}]
+       <dev-python/six-2[${PYTHON_USEDEP}]
+       >=dev-python/texttable-0.8.1[${PYTHON_USEDEP}]
+       <dev-python/texttable-0.9[${PYTHON_USEDEP}]
+       >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
+       <dev-python/websocket-client-1.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '>=dev-python/enum34-1.0.4[${PYTHON_USEDEP}]' 
'python2_7' )
+       $(python_gen_cond_dep '<dev-python/enum34-2[${PYTHON_USEDEP}]' 
'python2_7' )
+"
+DEPEND="
+       ${CDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' 'python2_7' )
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_test() {
+       ${PYTHON} -m pytest tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp contrib/completion/bash/docker-compose ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       doins contrib/completion/zsh/*
+
+       distutils-r1_python_install_all
+}

Reply via email to